Bug 732289 - cyrus-imap maillog and imap fetching user_deny.db
Summary: cyrus-imap maillog and imap fetching user_deny.db
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: cyrus-imapd
Version: 15
Hardware: Unspecified
OS: Unspecified
low
low
Target Milestone: ---
Assignee: Michal Hlavinka
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2011-08-21 16:45 UTC by Eli Wapniarski
Modified: 2011-12-12 15:00 UTC (History)
2 users (show)

Fixed In Version: cyrus-imapd-2.4.12-2.fc15
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2011-12-12 15:00:51 UTC


Attachments (Terms of Use)

Description Eli Wapniarski 2011-08-21 16:45:22 UTC
With Fedora 15 and cyrus-imapd-2.4.10-1 I get the following message in maillog over and over again:

imap fetching user_deny.db maillog

Thanks for looking into this

Comment 1 Eli Wapniarski 2011-09-16 05:34:50 UTC
Anybody looking at this???

Comment 2 Michal Hlavinka 2011-09-19 11:13:33 UTC
(In reply to comment #1)
> Anybody looking at this???

yes, but this has low priority

some background:
- cyrus-imapd sends all levels of messages to syslog, (debug,info,warn,error,...)
- there's no option to enable/disable debug messages in cyrus-imapd
- syslog accepts mail.* (including debug) messages by default, but because mail.* is not used only by cyrus-imapd, it won't be the correct fix to change that (as default)

so we need to implement new options for enabling/disabling debug messages in cyrus-imapd, but it's low priority task, especially because there is simple workaround available. In /etc/rsyslog.conf change:

mail.* .....
to
mail.info ......

and restart rsyslog:
service rsyslog restart

Comment 3 Michal Hlavinka 2011-12-12 15:00:51 UTC
syslog(LOG_DEBUG, "fetching user_deny.db entry for '%s'", user);

has LOG_DEBUG priority, so this should be fixed with the fix for bug #754940


Note You need to log in before you can comment on or make changes to this bug.